## psycopg2 2.7.5

=== debian/changelog ===
psycopg2 (2.7.5-2) unstable; urgency=medium

  * Team upload.
  * Do not install tests/test_async_keyword.py, incompatible with
    Python3.7 (Closes: #902715)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 02 Jul 2018 14:58:20 +0200

psycopg2 (2.7.5-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update Vcs-* to point at salsa.d.o
  * New upstream release
  * Bump standards-version to 4.1.4 without further change
  * Adapt debian/patches/0001-local_inventory.patch for upstream changes
  * Switch to source format 3.0 (Quilt)
  * Remove ancient python build-depends version requirements

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jun 2018 02:25:34 -0400

psycopg2 (2.7.4-1) unstable; urgency=medium

  * New upstream release (Closes: #880651)
    - Drop d/p/0002-Make-dbapi_extension.py-compatible-with-Sphinx-1.6.patch,
      incorporated upstream
  * Drop extra priority from -dbg packages
  * Update debian/watch to use secure URI
  * Clean up trailing whitespace in d/control and d/changelog
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Feb 2018 23:39:00 -0500

psycopg2 (2.7.3-2) unstable; urgency=medium

  * d/p/0002-Make-dbapi_extension.py-compatible-with-Sphinx-1.6.patch
    (Closes: #876931)
    - Thanks to Corey Bryant for forwarding the patch from Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Jan 2018 00:30:11 -0500

psycopg2 (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.0.1 without further change
  * Update minimum versions in X-Python{3}-Version
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Aug 2017 00:34:30 -0400

psycopg2 (2.7.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches after git-dpm to gbp pq conversion

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Jun 2017 18:47:09 -0400

psycopg2 (2.6.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Scott Kitterman ]
  * New upstream release
  * Remove uupdate from debian/watch as it doesn't make sense for a package
    maintained in git
  * Bump standards version to 3.9.8 without further change
  * Use default python3 build to generate documentation
  * Bump debhelper minimum version and compat to 9

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 16:26:11 -0400

psycopg2 (2.6.1-1) unstable; urgency=medium

  * New upstream release
    - Improve documentation regarding use of extensions.
      ISOLATION_LEVEL_AUTOCOMMIT (Closes: #768194)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jun 2015 17:24:53 -0400

psycopg2 (2.6-2) unstable; urgency=medium

  * Upload to unstable
  * Build docs using python3 vice python
  * Add doc-base registration

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Apr 2015 11:04:31 -0400

psycopg2 (2.6-1) experimental; urgency=medium

  * New upstream release
    - Adapt debian/rules build-indep and binary targets  as well as
      python-psycopg2-doc.install for adjustments in upstream documentation
      build system
  * Add dh-python to build-depends
  * Update debian/watch to use the new pypi.debian.net redirector so that new
    releases are detected and to account for no longer needing to mangle the
    version since a +dfsg tarball is no longer required

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Feb 2015 18:53:58 -0500

psycopg2 (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack source tarball to remove minified javascript files
  * Swap DPMT to maintainer and add myself to uploaders
  * Drop obsolete and unused python:Provides
  * Add appropriate X-Python{3}-Version fields to debian/control
  * Bump standards version to 3.9.6 without further change
  * Install NEWS using dh_installchangelogs to install as upstream changelog
  * Update debian/copyright
  * Update debian/README.source list of files that need to be removed to
    create a DFSG free tarball
  * Drop obsolete python-psycopg2-doc breaks/replaces python-psycopg2-docs

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 Sep 2014 16:44:30 -0400

psycopg2 (2.5.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Correct python-psycopg2-doc install location (Closes: #686741)
  * Update debian/copyright
  * Repack source tarball to remove minified javascript files
    - Update debian/watch to unmangle upstream version

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 May 2014 15:38:51 -0400

psycopg2 (2.5.2-1) unstable; urgency=low

  * Team upload

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Update dh_installchangelogs rule from debian/rules since upstream no
      longer provides a changelog
    - Remove empty usr/lib/python3/dist-packages/psycopg2/tests dir in
      python3-psycopg2-dbg
  * Use python version independent paths in debian/patches/local_inventory
  * Remove ancient, unused files from debian dir
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Feb 2014 21:45:02 -0500

psycopg2 (2.4.5-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Apr 2012 10:23:45 -0400

psycopg2 (2.4.4-4) unstable; urgency=low

  * Team upload
  * Rename python-pyscopg2-docs to the more usual python-pyscopg2-doc
    - Not creating a transitional package due to the package only existing
      for a short period and never in a stable release
  * Fix typos in the last debian/changelog entry
  * Fix misspellings in package descriptions in debian/control

