## psycopg2 2.7.6.1

=== debian/changelog ===
psycopg2 (2.7.6.1-3.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 Dec 2018 23:06:21 -0500

psycopg2 (2.7.6.1-3) unstable; urgency=medium

  * Restore pre-2.7.6.1-1 dbg package doc symlinks that were inadvertently
    dropped when debian/rules was refactored (Closes: #916309)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Dec 2018 23:06:21 -0500

psycopg2 (2.7.6.1-2) unstable; urgency=medium

  * Add debian/patches/0002-Fix-use-of-async-in-tests-
    test_async_keyword.py-so-b.patch to that bytecompilation works with
    python3.7 (Closes: #902715)
  * Add missing --with sphinxdoc

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 18:42:49 -0500

psycopg2 (2.7.6.1-1) unstable; urgency=medium

  * New upstream release
    - Update debian/patches/0001-local_inventory.patch to match upstream
      changes
  * Bump standards-version to 4.2.1 without further change
  * Update debian/copyright
  * Modernize and simplify debian/rules to use pybuild

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 13:08:22 -0500
