## psycopg2 2.7.7

=== debian/changelog ===
psycopg2 (2.7.7-1) unstable; urgency=medium

  * Set hardening flags
  * New upstream release (Closes: #807336)
  * Don't include extra license file in docs
  * Update example file paths in debian/copyright
  * Ship examples in python-psycopg2-doc
  * Add multiarch metadata for the -doc package
  * Bump standards-version to 4.3.0 without further change
  * Do not build dbgsym packages since we have dbg (which are still needed for
    python packages)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Jan 2019 02:44:02 -0500
