=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: python-doc, python3-doc
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>, Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/psycopg2
 Homepage: http://initd.org/projects/psycopg
@@ -51,7 +51,6 @@
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-psycopg2-doc
-Provides: ${python3:Provides}
 Description: Python 3 module for PostgreSQL
  psycopg is a PostgreSQL database adapter for the Python3 programming language
  (just like pygresql and popy.) This is version 2, a complete rewrite of the
@@ -84,6 +83,7 @@
 
 Package: python-psycopg2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Suggests: python-psycopg2 | python3-psycopg2
