=== debian/changelog ===
psycopg2 (2.8.4-2) unstable; urgency=medium

  * Drop python2 support (Closes: #937331)
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Mar 2020 18:46:53 -0500

psycopg2 (2.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
  * Add python/3-all and -all-dbg packages to autopkgtest depends so
    all supported versions are installed and tested (Closes: #943452)
    - Thanks to Steve Langasek for the patch
  * Check upstream gpg signature during download (d/watch and d/upstream/
    signing-key.asc)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Nov 2019 16:11:36 -0500

psycopg2 (2.8.3-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Disable testsuite on hurd-i386, it can't run PostgreSQL.

  [ You-Sheng Yang (楊有勝) ]
  * Honor DEB_BUILD_OPTIONS nocheck.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Sep 2019 09:17:25 +0200

psycopg2 (2.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Christoph Berg ]
  * New upstream release. (Closes: #928301)
  * Run wrap-and-sort -st.
  * Add debian/gitlab-ci.yml.
  * Add python{,3}-setuptools to build-dependencies.
  * Run regression tests at build time and autopkgtest via pg_virtualenv.
  * test_async_keyword.py patch: Use async_ instead of _async which is what
    the module uses as well.
  * Work around sphinx doc build problems by not including the NEWS file and
    sqlstate_errors.rst.
  * Add myself to Uploaders.

  [ Nicolas Dandrimont ]
  * Fail build when documentation build fails
  * Add building of (dynamic) documentation sources from upstream before
    building docs

 -- Christoph Berg <myon@debian.org>  Thu, 05 Sep 2019 13:47:25 +0200
