## psycopg2 2.8.5

=== debian/changelog ===
psycopg2 (2.8.5-1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 31 Jul 2020 14:51:39 +0000

psycopg2 (2.8.5-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Add d/patches/0007-Use-default-sphinx-theme.patch since 'better' theme
    used by upstream is not packaged in Debian

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Apr 2020 00:54:00 -0400
