## psycopg2 2.8.6

=== debian/changelog ===
psycopg2 (2.8.6-2) unstable; urgency=medium

  * Fix arch-indep build.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 16:35:54 +0100

psycopg2 (2.8.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-psycopg2-dbg: Add Multi-Arch: same.

  [ Christoph Berg ]
  * New upstream version 2.8.6.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 13:52:54 +0100
