=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 13),
  dh-python,
  libpq-dev,
  postgresql,
@@ -11,14 +11,15 @@
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg-1~),
 Build-Depends-Indep: python3-doc
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
  Christoph Berg <myon@debian.org>,
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/psycopg2.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/psycopg2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
 Homepage: http://initd.org/projects/psycopg
 
 Package: python3-psycopg2
@@ -50,6 +51,7 @@
  python3-psycopg2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: same
 Description: Python 3 module for PostgreSQL (debug extension)
  psycopg is a PostgreSQL database adapter for the Python3 programming language
  (just like pygresql and popy.) This is version 2, a complete rewrite of the
