=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,8 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build -a
-
-build-indep:
-	$(DEFAULT_PYTHON3) setup.py build
+override_dh_auto_build-indep:
+	dh_auto_build -i
 	set -e; export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) PYTHON_VERSION=3; \
 	cd $(CURDIR)/doc; make src/sqlstate_errors.rst; \
 	cd $(CURDIR)/doc/src; make html; \
@@ -28,7 +25,7 @@
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
 	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
@@ -38,3 +35,5 @@
 	pg_virtualenv dh_auto_test
 endif
 endif
+
+override_dh_auto_test-indep:
