=== debian/tests/control ===
Depends: @, postgresql-all, python3-all, python3-all-dbg
Tests: unittest
Restrictions: allow-stderr
