=== debian/changelog ===
psycopg2 (2.9.2~20220624.1235-2~1.git1a7ff07.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 27 May 2022 19:36:39 +0100

psycopg2 (2.9.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-sphinx.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 19:36:39 +0100

psycopg2 (2.9.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Delete d/p/0002-failing-tests.patch: test passes on AMD64, need archive
      build to determine if there are any problematic archs anymore
    - Delete d/p/0004-Sphinx-workaround.patch and d/p/0005-Sphinx-no-spanning-
      cells.patch as doc build now succeeds without them 

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Dec 2021 16:28:10 -0500

psycopg2 (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
    * Refresh patches
    * Remove 0002-Fix-use-of-async-in-tests-test_async_keyword.py-so-b.patch:
      upstream dropped tests/test_async_keyword.py
  * Remove *-dbg package (Closes: #994321)
  * Add :any to python3-dev-all build dependency and python3-all test
    dependency, per lintian hint
  * Update Standards-Version to 4.6.0; no changes necessary
  * Update debian/watch version to 4; no changes necessary
  * Add myself to uploaders

 -- Tomasz Rybak <serpent@debian.org>  Thu, 07 Oct 2021 21:53:53 +0200
