=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  dh-python,
  libpq-dev,
  postgresql,
- python3-all-dbg,
- python3-all-dev,
+ python3-all-dev:any,
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg-1~),
 Build-Depends-Indep: python3-doc
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
  Christoph Berg <myon@debian.org>,
-Standards-Version: 4.5.0
+ Tomasz Rybak <serpent@debian.org>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
@@ -43,24 +44,6 @@
  and being thread safe at level 2. It also includes some extensions to the
  standard DBAPI-2.0 to allow for better thread performance.
 
-Package: python3-psycopg2-dbg
-Architecture: any
-Section: debug
-Depends:
- python3-dbg,
- python3-psycopg2 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: same
-Description: Python 3 module for PostgreSQL (debug extension)
- psycopg is a PostgreSQL database adapter for the Python3 programming language
- (just like pygresql and popy.) This is version 2, a complete rewrite of the
- original code to provide new-style classes for connection and cursor objects
- and other sweet candies. Like the original, psycopg 2 was written with the
- aim of being very small and fast, and stable as a rock.
- .
- This package contains the extensions built for the Python debug interpreter.
-
 Package: python-psycopg2-doc
 Architecture: all
 Multi-Arch: foreign
