=== debian/watch ===
version=4
opts=pgpmode=auto \
https://pypi.debian.net/psycopg2/psycopg2-([0-9][0-9\.\-]*).tar.gz
