## psycopg2 2.9.3

=== debian/changelog ===
psycopg2 (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Aug 2022 10:08:12 +0200
