=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  postgresql,
  python3-all-dev:any,
  python3-setuptools,
- python3-sphinx (>= 1.0.7+dfsg-1~),
+ python3-sphinx,
 Build-Depends-Indep: python3-doc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
