=== debian/changelog ===
psycopg2 (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5

 -- Bastian Germann <bage@debian.org>  Fri, 27 Jan 2023 21:28:29 +0100

psycopg2 (2.9.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.1.17-1.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:15:04 +0100

psycopg2 (2.9.4-1) unstable; urgency=medium

  * New upstream version 2.9.4.
  * Point watch file at GitHub tags instead of pypi.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2022 11:10:44 +0200
