=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  Scott Kitterman <scott@kitterman.com>,
  Christoph Berg <myon@debian.org>,
  Tomasz Rybak <serpent@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
