=== debian/watch ===
version=4
opts=pgpmode=auto,uversionmangle=s/_/./g \
https://github.com/psycopg/psycopg2/tags .*/([0-9_]*).tar.gz
#https://pypi.debian.net/psycopg2/psycopg2-([0-9][0-9\.\-]*).tar.gz
