## psycopg2 2.9.6

=== debian/changelog ===
psycopg2 (2.9.6-3~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 10:59:52 +0000

psycopg2 (2.9.6-3) unstable; urgency=medium

  * Fix test_ssl_attribute test when compiled with and run against PG15, but
    when libpq5 is already PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Sep 2023 14:12:41 +0000

psycopg2 (2.9.6-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Christoph Berg ]
  * Disable test_ssl_attribute on PG16+.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 12:59:03 +0200

psycopg2 (2.9.6-1) experimental; urgency=medium

  * New upstream version 2.9.6.
  * debian/watch: Accept '.' in tag names.

 -- Christoph Berg <myon@debian.org>  Mon, 29 May 2023 11:11:37 +0200
